     d1 = open("nomer") 
     getfirst(d1)
     nom = 'Номер_док.'.d1
     close(d1)

     d = open("platp")
     if Find(d,1,1,nom) != 0 then  goto 100

     rpt_open("platp.rep")

     rpt_write("Дата",'Дата'.d)
     rpt_write("Вид",'Вид'.d)
     rpt_write("Номер_док.",nom)

     goto 400
     prop  = spro(num('Сумма'.d))
     len = strlen(prop)
     s1 = " "
     s2 = " "
     s3 = " "
     k = 88
     if  len <= 88 then goto 400
225  if substr(prop,k,1) = " "    then goto 230
        if substr(prop,k,1) = "\0 " then goto 230
     k = k-1
     goto 225

230  s1 = substr(prop,1,k)
     rpt_write("Пропись1",s1)
     k1 = len - k
     if k1 < 88 then goto 240
     if k1 > 88 then k1 = 88

235  if substr(prop,k+k1,1) = " "    then goto 240
     if substr(prop,k+k1,1) = "\0 " then goto 240
     k1 = k1-1
     goto 235

240  s2 = substr(prop,k+1,k1)
     rpt_write("Пропись2",s2)
     k2 = len-k-k1
     if k2 < 88 then goto 250
     if k2 > 88 then k2 = 88

245  if substr(prop,k+k1+k2,k2) = " " then goto 250
     if substr(prop, k+k1+k2,k2) = "\0" then goto 250
     k1 = k1-1
     goto 245
250  s3 = substr(prop,k+k1+1,k2)
     rpt_write("Пропись3",s3)
     goto 450

400  rpt_write("Пропись1",spro(num('Сумма'.d)))

450  rpt_write("ИНН",'ИНН'.d)
     rpt_write("Сумма",'Сумма'.d)
     rpt_write("Название1",'Название1'.d)
     rpt_write("Название2",'Название2'.d)
     rpt_write("Р/счет",'Р/счет'.d)
     rpt_write("Банк1",'Банк1'.d)
     rpt_write("БИК",'БИК'.d)
     rpt_write("Банк2",'Банк2'.d)
     rpt_write("К/счет",'К/счет'.d)
     rpt_write("Банк1П",'Банк1П'.d)
     rpt_write("БИКП",'БИКП'.d)
     rpt_write("Банк2П",'Банк2П'.d)
     rpt_write("К/счетП",'К/счетП'.d)
     rpt_write("ИННП",'ИННП'.d)
     rpt_write("Р/счетП",'Р/счетП'.d)
     rpt_write("Название",'Название'.d)
     rpt_write("НазваниеП",'НазваниеП'.d)
     rpt_write("В.оп.",'В.оп.'.d)
     rpt_write("Срок",'Срок'.d)
     rpt_write("Н.пл.",'Н.пл.'.d)
     rpt_write("Очередн.",'Очередн.'.d)
     rpt_write("Код",'Код'.d)
     rpt_write("Р.поле",'Р.поле'.d)
     rpt_write("Назначение",'Назначение'.d)
     rpt_write("Назн.2",'Назн.2'.d)
     rpt_write("Назн.3",'Назн.3'.d)
     rpt_write("Код_БК",'Код_БК'.d)
     rpt_write("Код_ОКАТО",'Код_ОКАТО'.d)
     rpt_write("Основание",'Основание'.d)
     rpt_write("Период",'Период'.d)
     rpt_write("Ном.докум.",'Ном.докум.'.d)
     rpt_write("Дат.докум.",'Дат.докум.'.d)
     rpt_write("Тип",'Тип'.d)
     rpt_write("КПП",'КПП'.d)
     rpt_write("КППП",'КППП'.d)
     rpt_line
     rpt_view
     rpt_close
100  close(d)
end
